<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="bottom"
        android:background="@drawable/background_shape_white_radius_12_top_only"
        android:descendantFocusability="blocksDescendants">

        <View
            android:id="@+id/bgView"
            android:layout_width="match_parent"
            android:layout_height="98dp"
            android:background="@drawable/vspace_dialog_top_background"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:layout_width="88dp"
            android:layout_height="20dp"
            android:layout_marginTop="39dp"
            android:src="@drawable/ic_smooth_title"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/descTv"
            android:layout_width="280dp"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"
            android:includeFontPadding="false"
            android:lineSpacingExtra="4dp"
            android:textColor="@color/text_secondary"
            android:textSize="14sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/bgView"
            tools:text="《XXX》需安装完整的畅玩服务组件，安装后即可给您带来急速的畅玩体验~" />

        <LinearLayout
            android:id="@+id/downloadContainer"
            android:layout_width="280dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:orientation="vertical"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/descTv">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="52dp"
                android:background="@drawable/bg_vspace_dialog_completed"
                android:paddingStart="16dp"
                android:paddingEnd="16dp">

                <TextView
                    android:id="@+id/vspace64Tv"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="64位组件"
                    android:textColor="@color/text_theme"
                    android:textSize="16sp"
                    android:textStyle="bold"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/installedTv"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:drawablePadding="2dp"
                    android:gravity="center"
                    android:text="已安装"
                    android:textColor="@color/text_theme"
                    android:textSize="@dimen/secondary_size"
                    app:drawableStartCompat="@drawable/ic_completed"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />
            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="52dp"
                android:layout_marginTop="8dp"
                android:background="@drawable/bg_shape_space_radius_8"
                android:paddingStart="16dp"
                android:paddingEnd="16dp">

                <TextView
                    android:id="@+id/vspace32Tv"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="32位组件"
                    android:textColor="@color/text_primary"
                    android:textSize="16sp"
                    android:textStyle="bold"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <com.gh.gamecenter.feature.view.DownloadButton
                    android:id="@+id/downloadBtn"
                    android:layout_width="56dp"
                    android:layout_height="28dp"
                    app:download_button_show_progress="true"
                    app:download_button_text_size="@dimen/secondary_size"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />
            </androidx.constraintlayout.widget.ConstraintLayout>

        </LinearLayout>

        <TextView
            android:id="@+id/privacyPolicyTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="24dp"
            android:layout_marginBottom="40dp"
            android:text="《畅玩助手服务组件隐私协议》"
            android:textColor="@color/text_theme"
            android:textSize="12sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/downloadContainer" />

        <View
            android:id="@+id/drag_close"
            android:layout_width="match_parent"
            android:layout_height="64dp"
            android:clickable="false"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</FrameLayout>
